Built-in Parameter Types
========================

.. currentmodule:: pyqtgraph.parametertree.parameterTypes

Parameters
----------

.. autoclass:: SimpleParameter
   :members:

.. autoclass:: GroupParameter
   :members:

.. autoclass:: ListParameter
   :members:

.. autoclass:: TextParameter
   :members:

.. autoclass:: ActionParameter
   :members:

ParameterItems
--------------

.. autoclass:: WidgetParameterItem
   :members:

.. autoclass:: GroupParameterItem
   :members:

.. autoclass:: ListParameterItem
   :members:

.. autoclass:: TextParameterItem
   :members:

.. autoclass:: ActionParameterItem
   :members:
